> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status.

> Use this API to get the status of the Verify PAN in Bulk API request. You need to enter either the reference ID or bulk verification ID.



## OpenAPI

````yaml get /pan/bulk
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /pan/bulk:
    get:
      tags:
        - PAN
      summary: Get Status.
      description: >-
        Use this API to get the status of the Verify PAN in Bulk API request.
        You need to enter either the reference ID or bulk verification ID.
      operationId: VrsFetchBulkPanDetails
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/x_api_version'
        - name: reference_id
          description: >-
            It is the unique ID created by Cashfree Payments that you receive in
            the response of Verify PAN in Bulk API.
          in: query
          required: true
          schema:
            type: string
            default: '1234567'
          example: '1234567'
        - name: bulk_verification_id
          description: >-
            It is the unique ID you created to identify the Verify PAN in Bulk
            API request.
          in: query
          required: true
          schema:
            type: string
            default: BV234253
          example: BV234253
      responses:
        '200':
          $ref: '#/components/responses/GetPanBulkResponse'
        '400':
          $ref: '#/components/responses/Response400GetBulkPan'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    x_api_version:
      description: >-
        It is the API version. To receive the aadhaar seeding status in the
        response, use any date after 2022-09-12.
      name: x-api-version
      in: header
      required: false
      schema:
        type: string
      example: '2022-10-26'
  responses:
    GetPanBulkResponse:
      description: Success response for verifying a large number of PAN information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetPanBulkResponseSchema'
          examples:
            SUCCESS:
              value:
                bulk_verification_id: 1123456
                reference_id: 615
                count: 2
                entries:
                  - pan: ABCPV1234D
                    type: Individual
                    reference_id: 1320143
                    name_provided: John
                    registered_name: John Snow
                    father_name: ''
                    valid: true
                    message: PAN verified successfully
                    name_match_score: 85
                    name_match_result: GOOD_PARTIAL_MATCH
                    aadhaar_seeding_status: 'Y'
                    last_updated_at: 26/05/2017
                    name_pan_card: JOHN SNOW
                    pan_status: VALID
                    aadhaar_seeding_status_desc: Aadhaar is linked to PAN
                  - pan: ABCPV1239K
                    type: Individual
                    reference_id: 132014
                    name_provided: Jone
                    registered_name: Jone Doe
                    father_name: ''
                    valid: true
                    message: PAN verified successfully
                    name_match_score: 85
                    name_match_result: GOOD_PARTIAL_MATCH
                    aadhaar_seeding_status: 'Y'
                    last_updated_at: 26/05/2019
                    name_pan_card: JONE DOE
                    pan_status: VALID
                    aadhaar_seeding_status_desc: Aadhaar is linked to PAN
            File not processed:
              value:
                message: File is being processed. Try again after some time.
                bulk_verification_id: '31123'
                reference_id: 612
                count: 0,
                entries: []
    Response400GetBulkPan:
      description: Validation errors for Get Bulk PAN Status API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Reference Id Missing:
              $ref: '#/components/examples/ReferenceIdMissing'
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: request_failed
                message: Unable to process your request. Try again after some time
  schemas:
    GetPanBulkResponseSchema:
      type: object
      properties:
        bulk_verification_id:
          type: string
          description: >-
            It displays the unique ID created by you to identify the bulk
            verification request.
          example: '1123456'
        reference_id:
          type: string
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.
          example: '515'
        count:
          format: int64
          type: integer
          example: 1
        entries:
          type: array
          description: It contains the details of PAN for verification.
          minItems: 1
          items:
            $ref: '#/components/schemas/GetVerifyPanResponseSchema'
          example:
            father_name: John Doe
            message: VALID
            name_match_result: PARTIAL
            name_match_score: '0.7'
            name_provided: John De
            pan: ABCDP3011E
            reference_id: 1234567
            registered_name: John Doe
            status_code: VALID
            type: Individual
            valid: true
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
    GetVerifyPanResponseSchema:
      type: object
      properties:
        pan:
          type: string
          example: ABCPV1234D
          description: >-
            It displays the unique 10-character alphanumeric identifier issued
            by the Income Tax Department.
        type:
          type: string
          description: It displays the type of the PAN issued.
          example: Individual
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          format: int64
          example: 161
        name_provided:
          type: string
          description: It displays the name entered in the API request.
          example: JOHN DOE
        registered_name:
          type: string
          description: It displays the PAN registered name.
          example: JOHN DOE
        valid:
          type: boolean
          description: It displays the status of the PAN card.
          example: true
        father_name:
          type: string
          description: It displays the father's name of the PAN card holder.
          example: ''
        message:
          type: string
          description: It displays details about the success or failure of the API request.
          example: PAN verified successfully
        name_match_score:
          type: string
          description: It displays the score for the name match verification.
          example: '100.00'
        name_match_result:
          type: string
          description: >-
            It displays the result of the name match verification. Possible
            values are:

            - `DIRECT_MATCH`

            - `GOOD_PARTIAL_MATCH`

            - `MODERATE_PARTIAL_MATCH`

            - `POOR_PARTIAL_MATCH`

            - `NO_MATCH`
          example: DIRECT_MATCH
        aadhaar_seeding_status:
          type: string
          description: >-
            It displays additional information of the linking of aadhaar and PAN
            card. Possible values are:

            - `Y`: "Aadhaar is linked to pan"

            - `R`: "Aadhaar is not linked to pan"

            - `NA`: "Not applicable, in case of business pan"
          example: 'Y'
        last_updated_at:
          type: string
          description: It displays the last updated date.
          example: 01/01/2019
        name_pan_card:
          type: string
          description: It displays the name displayed on the PAN card.
          example: JOHN DOE
        pan_status:
          type: string
          description: |-
            It displays the status of the PAN card. Possible values are:
            - `VALID`
            - `INVALID`
            - `DELETED`
            - `DEACTIVATED`
          example: VALID
        aadhaar_seeding_status_desc:
          type: string
          description: >-
            It displays additional information of the linking of aadhaar and PAN
            card.
          example: Aadhaar is linked to PAN
  examples:
    ReferenceIdMissing:
      value:
        type: validation_error
        code: reference_id_missing
        message: Either of reference_id or BulkVerificationId can't be empty.
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````